Name:		inkscape
Summary:	A Vector Drawing Application
Summary(ja):	ベクター描画アプリケーション
Version:	0.91
Release:	2%{?_dist_release}

Group:		Applications/Graphics
License:	GPLv2+
URL:		https://launchpad.net/inkscape

Source0:	https://launchpad.net/inkscape/%{version}.x/%{version}/+download/inkscape-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.8.0
BuildRequires: gnome-vfs2-devel >= 2.0
BuildRequires: libxml2-devel >= 2.6.11
BuildRequires: libxslt-devel >= 1.0.15
BuildRequires: gc-devel >= 6.4
BuildRequires: dbus-glib-devel
BuildRequires: libsigc++-devel >= 2.0.12
BuildRequires: gtkmm2-devel >= 2.8.0
BuildRequires: libpng-devel >= 1.2.0
BuildRequires: libwpg-devel
BuildRequires: libexif-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: perl-XML-Parser 
BuildRequires: lcms2-devel
BuildRequires: poppler-devel >= 0.14.2
BuildRequires: pango-devel, cairo-devel
BuildRequires: gsl-devel
BuildRequires: libboost-devel
BuildRequires: popt-devel
BuildRequires: ImageMagick-c++-devel
BuildRequires: dos2unix
BuildRequires: automake autoconf 
Requires:      python-lxml
Requires:      perl-XML-RegExp
Requires:      perl-XML-DOM
Requires:      perl-XML-XQL
# the package requires libperl.so, so it also has to require this:
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Filter out perl requires and provides
# XXX: For now _all_
%global __perl_provides %{nil}
%global __perl_requires %{nil}

Vendor: Project Vine
Distribution: Vine Linux

%description
Inkscape is a SVG based generic vector-drawing program for 
Linux/Unix/Windows/Mac.

%description -l ja
Inkscape は SVG ベースの汎用ベクトル描画プログラムです。
Linux/Unix/Windows/Mac で動作します。

%prep
%setup -q -n %{name}-%{version}

# https://bugs.launchpad.net/inkscape/+bug/314381
# A couple of files have executable bits set,
# despite not being executable
find . -name '*.cpp' | xargs chmod -x
find . -name '*.h' | xargs chmod -x
find share/extensions -name '*.py' | xargs chmod -x

# Fix end of line encodings
dos2unix -k -q share/extensions/*.py

%build
export CXXFLAGS="$RPM_OPT_FLAGS -std=c++11"
%configure \
    --with-python \
    --with-gnome-vfs \
    --with-inkjar \
    --enable-lcms2 \
    --enable-poppler-cairo \
	--disable-strict-build

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null
    touch --no-create %{_iconsdir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache %{_iconsdir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_iconsdir}/icons/hicolor &> /dev/null || :


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/inkscape
%{_bindir}/inkview
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/inkscape
%{_mandir}/man1/*
%{_mandir}/*/man1/*

%changelog
* Mon May 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.91-2
- rebuild with poppler-0.43.0

* Tue Nov 03 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.91-1
- update to 0.91
- remove old patches
- add BuildRequires: dbus-glib-devel, libexif-devel, libjpeg-turbo-devel

* Tue Apr 14 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.5-4
- rebuild with ImageMagick-6.9.1.1

* Tue Jan 13 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.48.5-3
- rebuilt with libwpd 0.3.0
- added Patch14 to build with libwpd 0.3.0

* Tue Jul 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.5-2
- rebuild with poppler-0.26.2

* Wed Jul 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.5-1
- new upstream release
- add BuildRequires: libwpg-devel
- remove Patch0 (inkscape-0.48.4-freetype-2.5.x.patch)

* Sat May 03 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.4-5
- rebuild with poppler-0.24.5
- add Patch0 (inkscape-0.48.4-freetype-2.5.x.patch)

* Sun Nov 10 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.4-4
- rebuild with ImageMagick-6.8.7.5

* Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.4-3
- rebuild with poppler-0.24.2

* Wed Aug 14 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.4-2
- rebuild with ImageMagick-6.8.6.8

* Mon Jul 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.4-1
- new upstream release
- remove Patch0 (inkscape-0.48.2-poppler_020.patch)

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.3.1-2
- rebuild with poppler-0.20.4
- add Patch0 (inkscape-0.48.2-poppler_020.patch) from fedora
- change BuildRequires: lcms2-devel instead of lcms-devel

* Thu Apr 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.3.1-1
- new upstream release

* Sat Mar 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.2-2
- rebuild with ImageMagick-6.7.5.10

* Sat Feb  4 2012 TANAKA hiroaki <mosaicist@par.odn.ne.jp> 0.48.2-1
- new upstream release

* Sat May 28 2011 TANAKA hiroaki <mosaicist@par.odn.ne.jp> 
- add Requires: python-lxml,perl-XML-RegExp,perl-XML-DOM

* Sat Mar 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.48.1-1
- new upstream release
- built with poppler-0.16.3

* Wed Oct 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.48.0-2
- rebuild with poppler-0.14.2
- add BuildRequires: popt-devel, ImageMagick-c++-devel

* Sun Oct  3 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.48-1
- new upstream release
- rebuilt with ImageMagick-6.6.4.8

* Thu Apr 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.47-3
- added Patch0 for building with poppler-0.12.2+
- rebuilt with new toolchain and ImageMagick-6.6.1.5
- removed BR: libgnomeprint-devel, libgnomeprintui-devel

* Fri Nov 27 2009 Shu KONNO <owa@bg.wakwak.com> 0.47-2
- rebuild with poppler-0.12.1

* Mon Nov 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.47-1
- new upstream release
- add BR: libboost-devel

* Thu Sep 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.47-0.1.pre2
- update to 0.47pre2
- drop obsolete patches
- add BR: gsl-devel

* Sat Dec 13 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.46-4
- rebuild with poppler-0.10.2

* Sun Oct 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.46-3
- add Patch[1-6]

* Sat Aug 23 2008 Shu KONNO <owa@bg.wakwak.com> 0.46-2vl5
- added inkscape-0.46-poppler-0.8.3.patch
- spec in utf-8
- added option %%{?_smp_mflags} at make

* Sun Apr 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.46-1vl5
- new upstream release

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.45.1-0vl2
- rebuild with new environment/toolchain

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.45.1-0vl1
- new upstream release

* Sun Mar 11 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.45-0vl2
- add BuildRequires: lcms-devel >= 1.13, libxslt-devel >= 1.0.15
- update required version of gtk2-devel

* Sat Feb 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.45-0vl1
- new upstream release

* Sun Sep 24 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.44.1-0vl1
- new upstream release

* Wed Nov 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.43-0vl1
- new upstream release

* Tue Aug 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.42.2-0vl1
- new upstream release

* Mon Aug 22 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.42.1-0vl1
- new upstream release

* Thu Aug 18 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.42-0vl1
- new upstream release

* Tue Nov 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.40-0vl1
- new upstream release
- add Japanese summary and description
- fixed dependancy of libsigc++12 to libsigc++ >= 2.0

* Tue Nov 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.39-1vl2
- fixed dependancy of libsigc++ to libsigc++12
- fixed %files section

* Wed Aug 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.39-1vl1
- rebuild for Vine Linux
- s/Copyright/License/
- added Requires and BuildRequires

* Sat Jul 17 2004 Bryce W. Harrington <bryce@bryceharrington.com>
- Removing _libdir and TODO, updating description

* Thu May 01 2003 Christian Schaller <uraeus@gnome.org>
- Fix up the spec file for current release

* Mon Sep 23 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.6

* Thu Sep 12 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.5
- Changed SPEC to benefit from macros
